span.icon {
  line-height: 0;
  vertical-align: bottom;
}

svg {
  vertical-align: bottom;
}

span.orange {
  font-weight: inherit;
  color: var(--secondary);
}

span.blue {
  font-weight: inherit;
  color: var(--primary);
}

.hero-section {
  position: relative;
  background-color: #d2e4ff;
  overflow: hidden;
}

.hero-section>.container {
  position: relative;
  margin: 0 auto;
  max-width: 1146px;
  display: flex;
  gap: 40px;
  align-items: center;
  padding: 40px 30px;
  z-index: 2;
}

.back-icon svg {
  height: 200px;
  position: absolute;
  transform: translateX(50%) rotate(-16deg);
  right: 40%;
  bottom: -50px;
  fill: #000;
  opacity: 0.05;
}

.hero-buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.hero-buttons .cta {
  flex-shrink: 0;
  flex-grow: 1;
}

.hero-buttons .cta a {
  min-width: fit-content;
  gap: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  line-height: 1;
  padding: 12px 14px;
  border-radius: 10px;
  color: #fff;
  transition: background-color 200ms;
}

.hero-buttons .cta a span {
  line-height: inherit;
}

.hero-buttons .cta a svg {
  width: 18px;
  height: 18px;
  fill: #fff;
  margin-bottom: -2px;
}

.hero-buttons .cta:first-child a {
  background-color: var(--primary);
}

.hero-buttons .cta:last-child a {
  background-color: var(--secondary);
}

.hero-buttons .cta a:hover {
  background-color: #0056d6;
}

.hero-section h1.title {
  font-size: 22px;
  font-weight: 800;
  margin-bottom: 12px;
}

.hero-section p.body {
  margin-bottom: 1rem;
}

.hero-img {
  flex-shrink: 1;
  flex-grow: 1;
  flex-basis: 100%;
}

.hero-img img {
  width: 100%;
  display: block;
}

.our-info {
  margin: 60px 0;
}

.our-info>.container {
  max-width: 1146px;
  display: flex;
  gap: 20px;
  justify-content: center;
  margin: 0 auto;
  padding: 0 30px;
}

.our-info>.container .item {
  position: relative;
  display: flex;
  flex-basis: calc(100% / 3);
  flex-direction: column;
  align-items: center;
  gap: 15px;
  padding: 15px;
  border: 1px solid #d3d5db;
  border-radius: 10px;
  user-select: none;
  transition: box-shadow 200ms;
  background-color: #fff;
  overflow: hidden;
  isolation: isolate;
}

.our-info>.container .item:hover {
  box-shadow: 0 0px 10px 1px rgba(0, 0, 0, 0.1);
}

.our-info>.container .item .title {
  color: var(--secondary);
  font-size: 19px;
  font-weight: 600;
  text-align: center;
  margin: 0 0 0px 0;
}

.our-info>.container .item .description {
  font-size: 14px;
  line-height: 2;
  text-align: center;
}

.our-info>.container .item .icon svg {
  width: 80px;
  height: 80px;
  fill: var(--secondary);
}

.our-info>.container .item .shape {
  position: absolute;
  width: 210px;
  height: 160px;
  border-radius: 47% 53% 39% 61% / 65% 51% 49% 35%;
  top: -32px;
  right: -25px;
  background-color: #fff5f1;
  z-index: -1;
  overflow: hidden;
}

.our-info>.container .item .shape svg {
  fill: #ffebe3;
  position: absolute;
  top: 25px;
  right: 30px;
  width: 120px;
  height: 120px;
}

.section-type-three {
  margin: 60px 0;
}

.section-type-three>.container {
  max-width: 1146px;
  margin: 0 auto;
  padding: 0 30px;
}

.centers-archive>.container {
  max-width: 1146px;
  margin: 0 auto;
  padding: 0 30px;
}

.section-type-three .section-header {
  margin-bottom: 20px;
}

.section-type-three .section-header .title {
  font-size: 19px;
  font-weight: 600;
  margin: 0 0 0px 0;
}

.section-type-three .section-header .description {
  font-size: 14px;
}

.section-type-three .section-menu-cta {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  overflow: hidden;
  position: relative;
  margin-bottom: 20px;
}

.custom-scroller-menu {
  display: flex;
  overflow-x: auto;
  /* scroll-snap-type: x mandatory; */
}

.custom-scroller-menu>.container {
  display: flex;
  flex: 0 0 auto;
  scroll-snap-type: x mandatory;
  border-radius: 8px;
  border: 1px solid #d1d5db;
}

.custom-scroller-menu .item {
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  scroll-snap-align: start;
  user-select: none;
}

.custom-scroller-menu .item .cta {
  display: flex;
  align-items: center;
  justify-content: center;
  scroll-snap-align: start;
  padding: 4px 24px;
  border-radius: 8px;
  font-size: 16px;
  line-height: 2;
  color: var(--blck);
}

.custom-scroller-menu .item.current .cta {
  color: #fff;
  background-color: var(--primary);
  border-radius: 8px;
}

.custom-scroller-menu .item .cta .icon {
  margin-right: 6px;
}

.custom-scroller-menu .item .cta .icon svg {
  fill: var(--blck);
  width: 18px;
  height: 18px;
}

.section-type-three .section-menu-cta>.cta a {
  display: flex;
  align-items: center;
  gap: 3px;
  color: var(--primary);
}

.section-type-three .section-menu-cta>.cta svg {
  width: 24px;
  height: 24px;
  fill: var(--primary);
}

.scroll-indicator {
  display: none;
  width: 40px;
  height: 7px;
  background-color: #d1d5db;
  border-radius: 10px;
  margin: 14px auto;
  position: relative;
  overflow: hidden;
}

.scroll-thumb {
  width: 25%;
  height: 100%;
  background-color: #6e7a86;
  border-radius: 10px;
  position: absolute;
  right: 0;
  top: 0;
}

.section-type-three .section-items {
  max-width: 100%;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 1rem;
}

.section-type-three .section-items .item {
  position: relative;
  border-radius: 10px;
  border: 1px solid #bac6d3;
  overflow: hidden;
}

.section-type-three .section-items .item-types {
  position: relative;
  border-radius: 10px;
  border: 1px solid #bac6d3;
  overflow: hidden;
}

.section-type-three .section-items .title {
  font-size: 14px;
  font-weight: 600;
  line-height: 1.5;
  padding: 0 4px;
  height: 3em;
}

.section-type-three .section-items .title-vet-types {
  font-size: 14px;
  font-weight: 600;
  line-height: 1.5;
  padding: 0 4px;
  text-align: center;
}

.section-type-three .section-items .address {
  display: flex;
  align-items: center;
  color: var(--blck);
  font-size: 12px;
  line-height: 1.5;
  /*margin: 16px 6px 20px 0;*/
  margin: 7px 0px 10px 0;

}

.section-type-three .section-items .address p {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  flex-shrink: 1;
  line-height: 1;
}

.centers-archive .section-items .address {
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 6px;
}

.centers-archive .section-items .address p,
.centers-archive .section-items .address .address-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  flex-shrink: 1;
  line-height: 1.4;
}

.section-type-three .section-items a::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  z-index: 10;
}

.section-type-three .section-items svg {
  flex-shrink: 0;
  width: 18px;
  height: 18px;
  fill: #6e7a86;
  margin: -3px 0 0 0;
}

.centers-archive .section-items .title {
  text-align: center;
}

.centers-archive .section-items .address {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 6px;
}

.centers-archive .section-items .address svg {
  width: 16px !important;
  height: 16px !important;
}

.centers-archive .section-items .address .address-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  flex-shrink: 1;
  line-height: 1.4;
}

.section-type-three .section-items .pic {
  margin-bottom: 16px;
}

.section-type-three .section-items .pic img {
  display: block;
  width: 100%;
  border-radius: 0 0 8px 8px;
  aspect-ratio: 16 / 11;
  object-fit: cover;
}

.section-type-three .see-all-cta {
  display: flex;
  justify-content: flex-end;
  margin: 20px 20px 0;
}

.section-type-three .see-all-cta a {
  font-size: 14px;
  line-height: 1.7;
  padding: 9px;
  border-radius: 10px;
  border: 2px solid var(--primary);
  color: var(--primary);
}

.section-type-three .see-all-cta a svg {
  width: 18px;
  height: 18px;
  fill: var(--primary);
  margin-bottom: 2px;
}

.centers-archive .pagination ul.page-numbers {
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 8px;
  margin: 0;
  padding: 0;
}

.centers-archive .pagination ul.page-numbers li {
  margin: 0;
}

.adv-banners {
  margin: 60px 0;
}

.adv-banners>.container {
  display: flex;
  flex-direction: row-reverse;
  gap: 16px;
  max-width: 1086px;
  margin: 0 auto;
  aspect-ratio: 16/9;
}

.adv-banners .side:last-child {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.adv-banners .side:last-child>.banner {
  flex-grow: 1;
}

.adv-banners .banner {
  position: relative;
  border-radius: 8px;
}

.adv-banners .banner a {
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
}

.adv-banners .banner img {
  display: block;
  border-radius: 8px;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.adv-banners .banner.large {
  height: 100%;
  aspect-ratio: 1/1;
}

.adv-banners .banner.large img {
  aspect-ratio: 1 / 1;
}

.vet-centrals.section-type-three .section-items .title {
  text-align: center;
}

.vet-centrals.section-type-three .section-items .description {
  font-size: 14px;
  text-align: center;
  line-height: 1.7;
  margin: 15px 6px;
}

.vet-centrals.section-type-three .section-items .see-more {
  display: block;
  font-size: 12px;
  text-decoration: underline;
  text-decoration-color: #40a9ff;
  text-underline-offset: 8px;
  text-align: center;
  font-weight: 500;
  margin-bottom: 15px;
  color: var(--primary);
  line-height: 1.5;
}

.cta-banner-section {
  margin: 60px 0;
}

.cta-banner-section>.container {
  max-width: 1146px;
  margin: 0 auto;
  padding: 0 30px;
}

.cta-banner-section img.cta {
  vertical-align: bottom;
  border-radius: 8px;
  width: 100%;
}

.pet-box.section-type-three .section-items {
  grid-template-columns: repeat(3, 1fr);
}

.pet-box.section-type-three .section-items .title {
  font-size: 1rem;
  color: #000;
  padding: 0 8px;
  margin-bottom: 4px;
  margin-top: 8px;
}

.pet-box.section-type-three .section-items .meta {
  line-height: 1.5;
  font-size: 12px;
  color: #6e7a86;
  margin: 0 8px;
}

.pet-box.section-type-three .section-items .meta * {
  line-height: inherit;
}

.pet-box.section-type-three .section-items .description {
  font-size: 14px;
  line-height: 1.7;
  margin: 15px 8px;
}

.pet-box.section-type-three .section-items .cta {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
  font-size: 1rem;
  line-height: 1.75;
  padding: 9px 0 7px;
  color: #fff;
  background-color: var(--primary);
  border-radius: 4px;
  margin: 15px 0px 15px 0px;
}

.pet-box.section-type-three .section-items .cta svg {
  fill: #fff;
}

.map-section {
  margin: 60px 0;
}

.map-section>.container {
  max-width: 1086px;
  margin: 0 auto;
}

.map-section .filters>.container {
  display: flex;
  gap: 20px;
}

.map-section .filters .filter .box-container {
  display: flex;
  align-items: center;
  width: fit-content;
  height: 100%;
  padding: 9px 15px;
  background-color: #e5efff;
  border: 1px solid #d1d5db;
  border-radius: 10px;
  box-shadow: 0px 8px 24px rgba(149, 157, 165, 0.2);
  user-select: none;
  cursor: pointer;
}

.map-section .filters .filter>div {
  height: 100%;
}

.map-section .filters .filter .box-container :where(.dropdown-icon, .filter-icon) {
  width: 24px;
  height: 24px;
  fill: #000;
}

.map-section .filters .filter .box-container .placeholder {
  font-size: 14px;
  line-height: 24px;
  width: clamp(100px, 13vw, 150px);
  margin: 0 4px;
  display: inline-block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.map-section .filters .apply {
  margin-right: auto;
}

.map-section .filters .apply button {
  height: 100%;
  border: none;
  outline: none;
  display: flex;
  align-items: center;
  gap: 6px;
  font-weight: 600;
  font-size: 16px;
  border-radius: 10px;
  background-color: var(--primary);
  color: #fff;
  padding: 0 10px;
  box-shadow: 0px 8px 24px rgba(0, 102, 255, 0.2);
  transition: transform 200ms;
}

.map-section .filters .apply button .label {
  font: inherit;
}

.map-section .filters .apply button:hover {
  transform: scale(1.03);
}

.map-section .filters .apply svg {
  fill: #fff;
  width: 24px;
  height: 24px;
}

.map-section .filter-options-popup {
  display: none;
  place-items: center;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.25);
  inset: 0 0 0 0;
  z-index: 20;
}

.map-section .filter-options-popup.active {
  display: grid;
  animation: fade-in 300ms forwards;
}

.map-section .filter-options-popup .options-container {
  width: 90%;
  max-width: 300px;
  height: 320px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0px 8px 24px rgba(149, 157, 165, 0.4);
}

.map-section .filter-options-popup.active .options-container {
  animation: translate-in 300ms forwards;
}

.map-section .filter-options-popup .options-container ul {
  display: flex;
  flex-direction: column;
  list-style-type: none;
  max-height: 100%;
  overflow: auto;
}

.map-section .filter-options-popup .options-container ul::-webkit-scrollbar-track {
  background: transparent;
}

.map-section .filter-options-popup .options-container ul li {
  display: flex;
  margin: 0 10px;
  border-radius: 4px;
  line-height: initial;
}

.map-section .filter-options-popup .options-container ul li:hover {
  background-color: #eaedf1;
}

.map-section .filter-options-popup .options-container ul li:first-child {
  margin-top: 10px;
}

.map-section .filter-options-popup .options-container ul li:last-child {
  margin-bottom: 10px;
}

.map-section .filter-options-popup .options-container ul li input[type="radio"] {
  appearance: none;
}

.map-section .filter-options-popup .options-container ul li input[type="checkbox"] {
  margin-right: 3px;
}

.map-section .filter-options-popup .options-container label {
  padding: 10px;
  flex-grow: 1;
}

.map-section .filter-options-popup .close-btn {
  position: absolute;
  top: 1rem;
  right: 1rem;
}

.map-section .filter-options-popup .close-btn svg {
  width: 30px;
  height: 30px;
  fill: #fff;
}

.map-section .filters .search.filter .box-container {
  padding: 0 15px;
}

.map-section .filters .search.filter .search-input {
  background: none;
  border: none;
  outline: none;
  padding: 9px 0;
}

.map-section .show-filters-btn {
  display: none;
  align-items: center;
  gap: 8px;
  padding: 7px 18px;
  font-size: 16px;
  background-color: var(--primary);
  color: #fff;
  border-radius: 10px;
}

.map-section .show-filters-btn span {
  font: inherit;
}

.map-section .show-filters-btn svg {
  width: 24px;
  height: 24px;
  fill: #fff;
}

.map-section .filters .mobile-black-underlayer {
  display: none;
}

.map-section .filters>.container>.header {
  display: none;
}

.map-section .map {
  position: relative;
  margin-top: 20px;
}

.map-section .map .map-container {
  background-color: #ddd;
  border-radius: 8px;
  height: 400px;
}

.map-section .map .gps {
  position: absolute;
  display: flex;
  align-items: center;
  gap: 6px;
  padding: 4px 12px;
  bottom: 15px;
  left: 15px;
  border-radius: 7px;
  background-color: #2e81ff;
  font-size: 16px;
  font-weight: 600;
  color: #fff;
  box-shadow: 0px 8px 24px rgba(0, 102, 255, 0.2);
  transition: background-color 200ms;
}

.map-section .map .gps:hover {
  background-color: var(--primary);
}

.map-section .map .gps span {
  font: inherit;
}

.map-section .map .gps svg {
  width: 22px;
  height: 22px;
  fill: #fff;
}

.centeral-cityname {
  margin: 60px 0;
}

.centeral-cityname>.container {
  max-width: 1146px;
  padding: 0 30px;
  margin: 0 auto;
}

:where(.centeral-cityname, .marakez-dampezeshki) h2 {
  font-size: 19px;
  line-height: 28px;
  font-weight: 600;
  margin-bottom: 20px;
  color: #000;
}

.centeral-cityname .links {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 10px;
  list-style-type: none;
}

.centeral-cityname .links a {
  font-size: 12px;
  font-weight: 400;
  line-height: 18px;
  color: var(--blck);
}

.marakez-dampezeshki {
  margin: 60px 0;
}

.marakez-dampezeshki>.container {
  max-width: 1146px;
  padding: 0 30px;
  margin: 0 auto;
}

.marakez-dampezeshki .services {
  list-style-position: inside;
}

.marakez-dampezeshki p {
  font-size: 16px;
  line-height: 1.75;
  color: var(--blck);
}

.marakez-dampezeshki .service-description {
  margin: 20px 0;
}

.marakez-dampezeshki li {
  font-size: 16px;
  line-height: 1.75;
  color: var(--blck);
}

.marakez-dampezeshki b {
  font-weight: 500;
  color: #000;
}

@media (min-width: 767px) {
  .section-type-three .see-all-cta {
    display: none;
  }
}

@media (max-width: 1086px) {
  .adv-banners>.container {
    margin: 0 30px;
  }

  .map-section>.container {
    padding: 0 20px;
  }
}

@media screen and (max-width: 767px) {
  .hero-section>.container {
    flex-direction: column-reverse;
  }

  .our-info>.container {
    flex-direction: column;
    padding: 0 20px;
  }

  .section-type-three>.container {
    padding: 0;
  }

  .custom-scroller-menu>.container {
    margin: 0 20px;
  }

  .section-type-three .section-menu-cta>.cta {
    display: none;
  }

  .section-type-three .section-header .title {
    padding: 0 20px;
  }

  .section-type-three .section-header .description {
    padding: 0 20px;
  }

  .scroll-indicator {
    display: block;
  }

  .section-type-three .section-items {
    padding: 0 20px;
    grid-template-columns: repeat(2, 1fr);
  }

  .adv-banners>.container {
    margin: 0 20px;
    flex-direction: column;
    aspect-ratio: initial;
  }

  .adv-banners .side:last-child {
    flex-direction: row;
  }

  .adv-banners .banner a {
    position: static;
  }

  .adv-banners .banner img {
    width: 100%;
    height: auto;
  }

  .cta-banner-section>.container {
    padding: 0;
  }

  .cta-banner-section img.cta {
    border-radius: 0;
  }

  .pet-box.section-type-three .section-items {
    grid-template-columns: repeat(1, 1fr);
  }

  .centeral-cityname>.container {
    padding: 0 20px;
  }

  .centeral-cityname .links {
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  }
}

@media (max-width: 920px) {
  .map-section .show-filters-btn {
    display: flex;
  }

  .map-section .filters {
    display: none;
  }

  .map-section .filters.active {
    display: block;
  }

  .map-section .filters.active>.container {
    flex-direction: column;
    background-color: #fff;
    position: fixed;
    width: 100%;
    height: 60%;
    min-height: 40%;
    gap: initial;
    bottom: 0;
    right: 0;
    z-index: 15;
    border-radius: 32px 32px 0 0;
    overflow: hidden;
    animation: filter-popup 300ms forwards;
  }

  .map-section button {
    -webkit-tap-highlight-color: transparent;
    touch-action: manipulation;
  }

  .map-section .filters.active .mobile-black-underlayer {
    display: block;
    z-index: 14;
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.65);
    animation: fade-in 300ms forwards;
  }

  .map-section .filters .filter .box-container {
    border-right: initial;
    border-left: initial;
    border-radius: initial;
    width: 100%;
  }

  .map-section .filters .search.filter .box-container {
    border-top: 1px solid #424242;
    border-bottom: 1px solid #424242;
  }

  .map-section .filters .filter .box-container {
    padding: 15px 15px;
  }

  .map-section .filters .filter .box-container .dropdown-icon {
    margin-right: auto;
  }

  .map-section .filters .search.filter .search-input {
    flex-grow: 1;
    padding: 19px 0;
  }

  .map-section .filters .apply {
    margin: auto 12px 12px;
  }

  .map-section .filters .apply button {
    justify-content: center;
    width: 100%;
    padding: 9px 0;
  }

  .map-section .filters .filter .box-container .placeholder {
    flex-grow: 1;
  }

  .map-section .filters>.container>.header {
    position: relative;
    display: block;
  }

  .map-section .filters>.container>.header h4 {
    font-weight: 600;
    text-align: center;
    line-height: 50px;
  }

  .map-section .filters>.container>.header .close-btn {
    width: 20px;
    height: 20px;
    position: absolute;
    right: 1rem;
    top: 50%;
    transform: translateY(-50%);
  }
}

@keyframes fade-in {
  from {
    background-color: rgba(0, 0, 0, 0);
  }

  to {
    background-color: rgba(0, 0, 0, 0.25);
  }
}

@keyframes translate-in {
  from {
    transform: translateY(-200px);
    opacity: 0.2;
  }

  to {
    transform: translateY(0px);
    opacity: 1;
  }
}

@keyframes filter-popup {
  from {
    transform: translateY(100%);
  }

  to {
    transform: translateY(0);
  }
}

.filter-container {
  display: flex;
  gap: 10px;
  justify-content: space-between;
  flex-wrap: wrap;
}

/* Hide native selects only after JS enhancement */
.jet-select.vet-modal-initialized .jet-select__control {
  display: none !important;
}

/* استایل مودال */
.vet-modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999;
  overflow: auto;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
}

.vet-modal.show {
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 1;
  pointer-events: auto;
}


.vet-modal-content {
  background-color: white;
  border-radius: 10px;
  width: 90%;
  max-width: 500px;
  max-height: 90vh;
  overflow-y: auto;
  padding: 25px;
  position: relative;
  margin: 20px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
  transform: translateY(0);
  animation: modalFadeIn 0.3s forwards;
}

@keyframes modalFadeIn {
  from {
    opacity: 0;
    transform: translateY(-50px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.vet-close-modal {
  position: absolute;
  top: 10px;
  left: 15px;
  font-size: 24px;
  cursor: pointer;
  color: #777;
}

.vet-modal h3 {
  margin-top: 0;
  text-align: right;
  color: #333;
  padding-right: 10px;
}

.vet-modal-options {
  margin-top: 15px;
}

.vet-modal-option {
  padding: 12px 15px;
  background-color: #f5f5f5;
  margin-bottom: 8px;
  border-radius: 8px;
  cursor: pointer;
  text-align: right;
  transition: all 0.2s;
}

.vet-modal-option:hover {
  background-color: #e0e0e0;
  transform: translateX(-5px);
}

.vet-trigger {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 15px;
  background-color: #e5efff;
  border: 1px solid #d1d5db;
  border-radius: 10px;
  cursor: pointer;
  width: 100%;
  height: 44px;
  overflow: hidden;
  position: relative;
}

.vet-selected-value {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: calc(100% - 40px);
  text-align: right;
  direction: rtl;
  padding-left: 5px;
}

.vet-arrow-icon {
  transition: transform 0.3s;
  flex-shrink: 0;
}

@media (max-width: 768px) {
  .vet-modal-content {
    width: 95%;
    padding: 15px;
  }

  .vet-modal-option {
    padding: 10px 12px;
  }
}


/* serach-filter */
.jet-search-filter__input-wrapper {
  position: relative;
  background-color: #e5efff;
  border: 1px solid #d1d5db;
  border-radius: 10px;
  box-shadow: 0px 8px 24px rgba(149, 157, 165, 0.2);
  user-select: none;
  cursor: pointer;
  /*padding: 9px 15px;*/
  display: flex;
  align-items: center;
  /*gap: 10px;*/
  width: fit-content;
  height: 100%;
}

.jet-search-filter__input-wrapper .jet-search-filter__input {
  border: none;
  background: transparent;
  font-size: 14px;
  line-height: 42px;
  padding: 0px 7px 0 0px;
  width: 300px;
  cursor: pointer;
}

/* button */
.wp-block-column .jet-smart-filters-apply-button .apply-filters__button {
  width: auto;
  margin-left: 10px;
  display: flex;
  align-items: center;
  gap: 6px;
  font-weight: 600;
  font-size: 16px;
  border-radius: 10px;
  background-color: var(--primary);
  color: #fff;
  padding: 0 10px;
  box-shadow: 0px 8px 24px rgba(0, 102, 255, 0.2);
  transition: transform 200ms;
  border: none;
  outline: none;
  align-self: self-end;
  padding: 5px 10px;
  margin-left: -1px;
}

.wp-block-column .jet-smart-filters-apply-button .apply-filters__button .jet-search-filter__submit-text {
  font: inherit;

}

.wp-block-column .jet-smart-filters-apply-button .apply-filters__button:hover {
  transform: scale(1.03);
}

.wp-block-column .jet-smart-filters-apply-button .apply-filters__button svg {
  fill: #fff;
  width: 24px;
  height: 24px;
}

.vet-apply-multi {
  display: block;
  width: 100%;
  padding: 12px;
  margin-top: 15px;
  background-color: var(--primary);
  color: white;
  border: none;
  border-radius: 8px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.2s;
}

.vet-apply-multi:hover {
  background-color: #0056b3;
}

.vet-modal-option label {
  display: flex;
  align-items: center;
  width: 100%;
  cursor: pointer;
}

.vet-modal-option input[type="checkbox"] {
  margin-left: 8px;
  cursor: pointer;
}

.vet-selected-count {
  position: absolute;
  left: 15px;
  top: 50%;
  transform: translateY(-50%);
  background-color: var(--primary);
  color: white;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  font-weight: bold;
}

.vet-selected-value {
  /*white-space: normal;*/
  text-overflow: initial;
  max-width: 80%;
  text-align: right;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  padding: 0px 0px 0px 160px;
}

.vet-filter-icon {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
  margin: 0px -5px 0px 5px;
  fill: black;
}

.vet-arrow-icon {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
  transition: transform 0.3s;
}

.vet-trigger.active .vet-arrow-icon {
  transform: rotate(180deg);
}


@media (max-width: 768px) {
  .custom-centers-content .wp-block-columns {
    display: none !important;
  }
}

.mobile-filters-container {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /*z-index: 99999;*/
  z-index: 9998;
}

.mobile-filters-container.behind-modal {
  z-index: 9997;
}

.jet-modal-overlay,
.jet-modal {
  z-index: 9999 !important;
}

.mobile-filters-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  transition: opacity 0.3s ease;
}

.mobile-filters-modal {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  max-height: 80vh;
  background-color: #fff;
  border-radius: 20px 20px 0 0;
  padding: 20px;
  transform: translateY(100%);
  transition: transform 0.3s ease;
  overflow-y: auto;
}

.mobile-filters-container.active .mobile-filters-overlay {
  opacity: 1;
}

.mobile-filters-container.active .mobile-filters-modal {
  transform: translateY(0);
}

.mobile-filter-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
  padding-bottom: 15px;
  border-bottom: 1px solid #eee;
}

.mobile-filter-close {
  font-size: 24px;
  cursor: pointer;
}

.mobile-filter-item {
  padding: 15px;
  margin-bottom: 10px;
  background-color: #f5f5f5;
  border-radius: 10px;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.mobile-apply-btn {
  width: 100%;
  padding: 15px;
  margin-top: 20px;
  background-color: var(--primary);
  color: white;
  border: none;
  border-radius: 10px;
  font-weight: bold;
  cursor: pointer;
}

.mobile-search-container {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: white;
  padding: 15px;
  z-index: 10;
}

.mobile-search-header {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
}

.mobile-search-back {
  font-size: 24px;
  margin-left: 10px;
  cursor: pointer;
}

.mobile-search-header h4 {
  margin: 0;
}

.mobile-filter-item {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding: 12px 15px;
  border-bottom: 1px solid #eee;

  flex-direction: row-reverse;
  text-align: right;
  direction: rtl;
}

.mobile-filter-item .filter-icon {
  margin-left: 10px;
  margin-right: 0;
  width: 25px;
  height: 25px;
  fill: #000;
}

.mobile-search-input-wrapper {
  position: relative;
  flex-grow: 1;
  margin-right: 10px;
}

.mobile-search-input {
  width: 100%;
  padding: 8px 30px 8px 10px !important;
  border: 1px solid #ddd;
  border-radius: 6px;
  font-size: 14px;
}

.mobile-search-icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
}

.mobile-filters-modal .jet-search-filter__input-wrapper {
  width: 100% !important;
  max-width: 100% !important;
  box-shadow: none !important;
  background-color: #fff !important;
  margin-bottom: 12px;
  height: 55px;
}


/* Mobile popup styles */
@media (max-width: 768px) {
  .leaflet-popup-content-wrapper {
    border-radius: 12px !important;
    max-width: 90vw !important;
  }



  .leaflet-popup-tip {
    display: none !important;
  }


  .wp-block-columns.is-not-stacked-on-mobile {
    display: flex !important;
    flex-direction: column !important;
  }

  .img-petb-edu img {
    max-width: 100% !important;
    height: auto !important;
  }
}

/* start map style */
span.jet-listing-dynamic-link__label {
  text-align: right;
  font-size: 14px;
  color: #0066ff;
  margin-top: 10px;
  margin-right: 4px;
  margin-left: 4px;
}

img.jet-listing-dynamic-image__img.attachment-full.size-full.wp-post-image {
  aspect-ratio: 16 / 11;
  object-fit: cover;
  width: 100%;
  border-radius: 10px 10px 0px 0px;
}

/* end map style */